
From: Manfred Spraul <manfred@colorfullife.com>

Attached is a patch that replaces the #ifndef CONFIG_SYSV syscall stubs
with cond_syscall stubs.  I did the diff against 2.6.2, but it applies to
2.6.3 and 2.6.3-mm1 as well.

The patch could be called "-1/5" of the series that adds posix message
queues - without it, hch won't stop objecting to the message queue patches
;-)



---

 ipc/util.c   |   63 -----------------------------------------------------------
 kernel/sys.c |   12 +++++++++++
 2 files changed, 12 insertions(+), 63 deletions(-)

diff -puN ipc/util.c~sysv-ipc-cond_syscall-cleanup ipc/util.c
--- 25/ipc/util.c~sysv-ipc-cond_syscall-cleanup	2004-02-19 12:31:43.000000000 -0800
+++ 25-akpm/ipc/util.c	2004-02-19 12:31:43.000000000 -0800
@@ -547,67 +547,4 @@ void exit_sem(struct task_struct *tsk)
 	return;
 }
 
-asmlinkage long sys_semget (key_t key, int nsems, int semflg)
-{
-	return -ENOSYS;
-}
-
-asmlinkage long sys_semop (int semid, struct sembuf *sops, unsigned nsops)
-{
-	return -ENOSYS;
-}
-
-asmlinkage long sys_semtimedop(int semid, struct sembuf *sops, unsigned nsops,
-				const struct timespec *timeout)
-{
-	return -ENOSYS;
-}
-
-
-asmlinkage long sys_semctl (int semid, int semnum, int cmd, union semun arg)
-{
-	return -ENOSYS;
-}
-
-asmlinkage long sys_msgget (key_t key, int msgflg)
-{
-	return -ENOSYS;
-}
-
-asmlinkage long sys_msgsnd (int msqid, struct msgbuf *msgp, size_t msgsz, int msgflg)
-{
-	return -ENOSYS;
-}
-
-asmlinkage long sys_msgrcv (int msqid, struct msgbuf *msgp, size_t msgsz, long msgtyp,
-		       int msgflg)
-{
-	return -ENOSYS;
-}
-
-asmlinkage long sys_msgctl (int msqid, int cmd, struct msqid_ds *buf)
-{
-	return -ENOSYS;
-}
-
-asmlinkage long sys_shmget (key_t key, size_t size, int shmflag)
-{
-	return -ENOSYS;
-}
-
-asmlinkage long sys_shmat (int shmid, char *shmaddr, int shmflg, ulong *addr)
-{
-	return -ENOSYS;
-}
-
-asmlinkage long sys_shmdt (char *shmaddr)
-{
-	return -ENOSYS;
-}
-
-asmlinkage long sys_shmctl (int shmid, int cmd, struct shmid_ds *buf)
-{
-	return -ENOSYS;
-}
-
 #endif /* CONFIG_SYSVIPC */
diff -puN kernel/sys.c~sysv-ipc-cond_syscall-cleanup kernel/sys.c
--- 25/kernel/sys.c~sysv-ipc-cond_syscall-cleanup	2004-02-19 12:31:43.000000000 -0800
+++ 25-akpm/kernel/sys.c	2004-02-19 12:31:43.000000000 -0800
@@ -249,6 +249,18 @@ cond_syscall(compat_sys_futex)
 cond_syscall(sys_epoll_create)
 cond_syscall(sys_epoll_ctl)
 cond_syscall(sys_epoll_wait)
+cond_syscall(sys_semget)
+cond_syscall(sys_semop)
+cond_syscall(sys_semtimedop)
+cond_syscall(sys_semctl)
+cond_syscall(sys_msgget)
+cond_syscall(sys_msgsnd)
+cond_syscall(sys_msgrcv)
+cond_syscall(sys_msgctl)
+cond_syscall(sys_shmget)
+cond_syscall(sys_shmat)
+cond_syscall(sys_shmdt)
+cond_syscall(sys_shmctl)
 
 /* arch-specific weak syscall entries */
 cond_syscall(sys_pciconfig_read)

_
